AIX Open Source

Expand all | Collapse all

Python3 Installation in AIX 7.1

  • 1.  Python3 Installation in AIX 7.1

    Posted 8 days ago
    Hi,

    I am trying to upgrade Python2 to python3 but when I run yum command like below getting connection time out error for the URL. Tried  to ping this URL but URL is not reachable. I am DataStage Admin and first time trying to install python. Please guide me on this.


    #yum install python3
    http://10.255.34.152:80/public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc/repodata/repomd.xml: [Errno 12] Timeout on http://10.255.34.152:80/public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc/repodata/repomd.xml: (28, 'Connection timed out after 30000 milliseconds')
    Trying other mirror.
    ftp://anonymous:anonymous@public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-7.1/repodata/repomd.xml: [Errno 12] Timeout on ftp://anonymous:anonymous@public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-7.1/repodata/repomd.xml: (28, 'Connection timed out after 30000 milliseconds')
    Trying other mirror.

    currently python2 is installed:

     #  rpm -qa | grep python
    python-PyYAML-3.11-2.ppc
    python-boto-2.34.0-1.noarch
    python-configobj-5.0.5-1.noarch
    python-jsonpatch-1.8-1.noarch
    python-oauth-1.0.1-1.noarch
    python-pyserial-2.7-1.ppc
    python-six-1.3.0-1.noarch
    python-pycurl-7.19.3-1.ppc
    python-setuptools-0.9.8-2.noarch
    python-2.7.12-2.ppc
    python-tools-2.7.12-2.ppc
    python-argparse-1.2.1-1.noarch
    python-cheetah-2.4.4-2.ppc
    python-jsonpointer-1.0.c1ec3df-1.noarch
    python-prettytable-0.7.2-1.noarch
    python-requests-2.4.3-1.noarch
    python-xml-0.8.4-1.ppc
    python-iniparse-0.4-1.noarch
    python-urlgrabber-3.10.1-1.noarch
    python-devel-2.7.12-2.ppc


    Thanks,
    Priya


    ------------------------------
    Priya Soni
    ------------------------------


  • 2.  RE: Python3 Installation in AIX 7.1

    Posted 7 days ago
    It could be some temporary network issue, I am able to open the files with ftp. 
    Could share your yum.conf file and any proxy http is being setup ?
    Please have a look the http url link and check if they are correct.

    ------------------------------
    SANGAMESH
    ------------------------------



  • 3.  RE: Python3 Installation in AIX 7.1

    Posted 7 days ago
    Hi Sangamesh,

    I had sent reply. Please confirm if you got that message.
    Still sending again for yum.conf.

    /opt/freeware/etc/yum # cat yum.conf

    [main]

    cachedir=/var/cache/yum

    keepcache=1

    debuglevel=2

    logfile=/var/log/yum.log

    exactarch=1

    obsoletes=1

     

    [AIX_Toolbox]

    name=AIX generic repository

    baseurl=http://10.255.34.152:80/public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc/

    enabled=1

    gpgcheck=0

     

    [AIX_Toolbox_noarch]

    name=AIX noarch repository

    baseurl=http://10.255.34.152:80/public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/noarch/

    enabled=1

    gpgcheck=0

     

    [AIX_Toolbox_71]

    name=AIX 7.1 specific repository

    baseurl=http://10.255.34.152:80/public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-7.1/

    enabled=1

    gpgcheck=0

     

    #[AIX_Toolbox_72]

    #name=AIX 7.2 specific repository

    #baseurl=http://10.255.34.152:80/public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-7.2/

    #enabled=1

    #gpgcheck=0

     

    [AIX_Toolbox_71]

    name=AIX 7.1 specific repository

    baseurl=ftp://anonymous:anonymous@public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-7.1/

    enabled=1

    gpgcheck=0

     

     

    Thanks & Regards,

    Priya Soni



    ------------------------------
    Priya Soni
    ------------------------------



  • 4.  RE: Python3 Installation in AIX 7.1

    Posted 7 days ago
    Make sure if you can connect to public.dhe.ibm.com.

    Not sure if the entries like this is correct "baseurl=http://10.255.34.152:80/"
    The proper way is
    "baseurl=http://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-7.1/"
    or
    "baseurl=http://user:password@public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-7.1/"




    ------------------------------
    SANGAMESH
    ------------------------------



  • 5.  RE: Python3 Installation in AIX 7.1

    Posted 7 days ago
    As per your suggestion I changed that to correct URL in yum.conf. Thanks for that.
    But this time I am getting some other URL issue.

    /opt/freeware/etc/yum # yum install python3
    http://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc/repodata/repomd.xml: [Errno 12] Timeout on http://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc/repodata/repomd.xml: (28, 'Connection timed out after 30000 milliseconds')
    Trying other mirror.

    Thanks,
    Priya

    ------------------------------
    Priya Soni
    ------------------------------



  • 6.  RE: Python3 Installation in AIX 7.1

    Posted 7 days ago
    Is there any other way to install Python3 instead of looking for URL. Like by downloading required packges and run?

    Thanks,
    Priya

    ------------------------------
    Priya Soni
    ------------------------------



  • 7.  RE: Python3 Installation in AIX 7.1

    Posted 7 days ago
    Looks like you don't have access to connect to public.dhe.ibm.com.
    Not sure if some firewall something is blocking the connection.

    Manually downloading and installing the python3 and dependencies is a tedious work and best method is to use the YUM to install packages.
    Installing python3 don't update python2 to python3, python2 & python3 are installed at the same time.
    To use python3, users need to use python3 instead of just python.

    ------------------------------
    SANGAMESH
    ------------------------------



  • 8.  RE: Python3 Installation in AIX 7.1

    Posted 6 days ago
    First verify if you can reach from your system to yum repo.
    You can try ping to public.dhe.ibm.com from your AIX system.
    Looks like you have some network issue.
    As mentioned by Sangamesh python2 and python3 are two separate python distribution and python3 do not update python2 but gets installed separately on system.
    If you can not resolve yum issue then you will have to download python3 and all its dependencies manually from AIX toolbox and install using rpm command.  

    ------------------------------
    SANKET RATHI
    ------------------------------



  • 9.  RE: Python3 Installation in AIX 7.1

    Posted 6 days ago
    Thanks Sanket!!

    I tried to ping.  On ping command it was stuck was not happening anything and then I had to enter contrl+c and below is output for same.
    I don't know how I can fix this. I need to install Python3 but not able to.

    root@servername:/home/root # ping public.dhe.ibm.com
    PING dispmy-112.mul.ie.ibm.com: (129.35.224.112): 56 data bytes
    --- dispmy-112.mul.ie.ibm.com ping statistics ---
    25 packets transmitted, 0 packets received, 100% packet loss

    In few servers Python3 is already installed but when we run python --version command it shows Python 2.7.12 like below. Is there any way to redirect this to python3

    # python --version
    Python 2.7.12


    Thanks,
    Priya


    ------------------------------
    Priya Soni
    ------------------------------



  • 10.  RE: Python3 Installation in AIX 7.1

    Posted 6 days ago
    Finally I could resolved connection issue.

    But while running install command few errors are there. Would you please can guide on that. Please find below

    /opt/freeware/etc/yum # yum install python3
    AIX_Toolbox                                                                                                                                      | 2.6 kB  00:00:00
    AIX_Toolbox/primary_db                                                                                                                           | 1.7 MB  00:00:03
    AIX_Toolbox_71                                                                                                                                   | 2.6 kB  00:00:00
    AIX_Toolbox_71/primary_db                                                                                                                        | 1.7 MB  00:00:01
    AIX_Toolbox_noarch                                                                                                                               | 2.6 kB  00:00:00
    AIX_Toolbox_noarch/primary_db                                                                                                                    | 1.7 MB  00:00:01
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package python3.ppc 0:3.7.9-1 will be installed
    --> Processing Dependency: gdbm >= 1.18.1 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: readline >= 8.0-2 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: xz-libs >= 5.2.4 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: libgcc >= 8.3.0 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: libffi >= 3.2.1 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: ncurses >= 6.2 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: sqlite >= 3.32.1 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: zlib >= 1.2.11 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: gettext >= 0.19.8.1 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: bzip2 >= 1.0.8 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: expat >= 2.2.9 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: libgdbm.a(libgdbm.so.6) for package: python3-3.7.9-1.ppc
    --> Processing Dependency: liblzma.a(liblzma.so.5) for package: python3-3.7.9-1.ppc
    --> Running transaction check
    ---> Package bzip2.ppc 0:1.0.6-2 will be updated
    ---> Package bzip2.ppc 0:1.0.8-2 will be an update
    --> Processing Dependency: libgcc >= 6.3.0-2 for package: bzip2-1.0.8-2.ppc
    ---> Package expat.ppc 0:2.1.0-1 will be updated
    ---> Package expat.ppc 0:2.2.9-2 will be an update
    --> Processing Dependency: libgcc >= 8.3.0-1 for package: expat-2.2.9-2.ppc
    ---> Package gdbm.ppc 0:1.10-1 will be updated
    ---> Package gdbm.ppc 0:1.18.1-1 will be an update
    ---> Package gettext.ppc 0:0.17-8 will be updated
    ---> Package gettext.ppc 0:0.19.8.1-5 will be an update
    --> Processing Dependency: libunistring >= 0.9.9-2 for package: gettext-0.19.8.1-5.ppc
    --> Processing Dependency: glib2 >= 2.56.1-2 for package: gettext-0.19.8.1-5.ppc
    --> Processing Dependency: libxml2 >= 2.9.7 for package: gettext-0.19.8.1-5.ppc
    --> Processing Dependency: libunistring.a(libunistring.so.2) for package: gettext-0.19.8.1-5.ppc
    ---> Package libffi.ppc 0:3.0.11-1 will be updated
    ---> Package libffi.ppc 0:3.2.1-3 will be an update
    ---> Package ncurses.ppc 0:6.1-1 will be updated
    ---> Package ncurses.ppc 0:6.2-2 will be an update
    --> Processing Dependency: libstdc++ >= 8.3.0-1 for package: ncurses-6.2-2.ppc
    --> Processing Dependency: libgcc >= 8.3.0-1 for package: ncurses-6.2-2.ppc
    ---> Package python3.ppc 0:3.7.9-1 will be installed
    --> Processing Dependency: libgcc >= 8.3.0 for package: python3-3.7.9-1.ppc
    ---> Package readline.ppc 0:6.2-3 will be updated
    ---> Package readline.ppc 0:8.0-2 will be an update
    --> Processing Dependency: info >= 6.4 for package: readline-8.0-2.ppc
    ---> Package sqlite.ppc 0:3.7.15.2-2 will be updated
    --> Processing Dependency: sqlite = 3.7.15.2 for package: pysqlite-1.1.7-1.ppc
    --> Processing Dependency: sqlite = 3.7.15.2 for package: yum-metadata-parser-1.1.4-1.ppc
    ---> Package sqlite.ppc 0:3.32.3-1 will be an update
    --> Processing Dependency: libgcc >= 8.3.0 for package: sqlite-3.32.3-1.ppc
    ---> Package xz-libs.ppc 0:5.2.5-1 will be installed
    --> Processing Dependency: libgcc >= 8.3.0 for package: xz-libs-5.2.5-1.ppc
    ---> Package zlib.ppc 0:1.2.5-6 will be updated
    ---> Package zlib.ppc 0:1.2.11-1 will be an update
    --> Running transaction check
    ---> Package bzip2.ppc 0:1.0.8-2 will be an update
    --> Processing Dependency: libgcc >= 6.3.0-2 for package: bzip2-1.0.8-2.ppc
    ---> Package expat.ppc 0:2.2.9-2 will be an update
    --> Processing Dependency: libgcc >= 8.3.0-1 for package: expat-2.2.9-2.ppc
    ---> Package glib2.ppc 0:2.14.6-2 will be updated
    ---> Package glib2.ppc 0:2.56.1-2 will be an update
    ---> Package info.ppc 0:5.0-2 will be updated
    ---> Package info.ppc 0:6.6-2 will be an update
    ---> Package libunistring.ppc 0:0.9.9-2 will be installed
    ---> Package libxml2.ppc 0:2.9.9-1 will be installed
    ---> Package ncurses.ppc 0:6.2-2 will be an update
    --> Processing Dependency: libstdc++ >= 8.3.0-1 for package: ncurses-6.2-2.ppc
    --> Processing Dependency: libgcc >= 8.3.0-1 for package: ncurses-6.2-2.ppc
    ---> Package pysqlite.ppc 0:1.1.7-1 will be updated
    ---> Package pysqlite.ppc 0:2.8.3-2 will be an update
    --> Processing Dependency: python >= 2.7.16 for package: pysqlite-2.8.3-2.ppc
    ---> Package python3.ppc 0:3.7.9-1 will be installed
    --> Processing Dependency: libgcc >= 8.3.0 for package: python3-3.7.9-1.ppc
    ---> Package sqlite.ppc 0:3.32.3-1 will be an update
    --> Processing Dependency: libgcc >= 8.3.0 for package: sqlite-3.32.3-1.ppc
    ---> Package xz-libs.ppc 0:5.2.5-1 will be installed
    --> Processing Dependency: libgcc >= 8.3.0 for package: xz-libs-5.2.5-1.ppc
    ---> Package yum-metadata-parser.ppc 0:1.1.4-1 will be updated
    ---> Package yum-metadata-parser.ppc 0:1.1.4-2 will be an update
    --> Running transaction check
    ---> Package bzip2.ppc 0:1.0.8-2 will be an update
    --> Processing Dependency: libgcc >= 6.3.0-2 for package: bzip2-1.0.8-2.ppc
    ---> Package expat.ppc 0:2.2.9-2 will be an update
    --> Processing Dependency: libgcc >= 8.3.0-1 for package: expat-2.2.9-2.ppc
    ---> Package ncurses.ppc 0:6.2-2 will be an update
    --> Processing Dependency: libstdc++ >= 8.3.0-1 for package: ncurses-6.2-2.ppc
    --> Processing Dependency: libgcc >= 8.3.0-1 for package: ncurses-6.2-2.ppc
    ---> Package python.ppc 0:2.7.12-2 will be updated
    --> Processing Dependency: python = 2.7.12-2 for package: python-devel-2.7.12-2.ppc
    --> Processing Dependency: python = 2.7.12-2 for package: python-tools-2.7.12-2.ppc
    ---> Package python.ppc 0:2.7.18-1 will be an update
    --> Processing Dependency: libgcc >= 8.3.0 for package: python-2.7.18-1.ppc
    --> Processing Dependency: libstdc++ >= 8.3.0 for package: python-2.7.18-1.ppc
    ---> Package python3.ppc 0:3.7.9-1 will be installed
    --> Processing Dependency: libgcc >= 8.3.0 for package: python3-3.7.9-1.ppc
    ---> Package sqlite.ppc 0:3.32.3-1 will be an update
    --> Processing Dependency: libgcc >= 8.3.0 for package: sqlite-3.32.3-1.ppc
    ---> Package xz-libs.ppc 0:5.2.5-1 will be installed
    --> Processing Dependency: libgcc >= 8.3.0 for package: xz-libs-5.2.5-1.ppc
    --> Running transaction check
    ---> Package bzip2.ppc 0:1.0.8-2 will be an update
    --> Processing Dependency: libgcc >= 6.3.0-2 for package: bzip2-1.0.8-2.ppc
    ---> Package expat.ppc 0:2.2.9-2 will be an update
    --> Processing Dependency: libgcc >= 8.3.0-1 for package: expat-2.2.9-2.ppc
    ---> Package ncurses.ppc 0:6.2-2 will be an update
    --> Processing Dependency: libstdc++ >= 8.3.0-1 for package: ncurses-6.2-2.ppc
    --> Processing Dependency: libgcc >= 8.3.0-1 for package: ncurses-6.2-2.ppc
    ---> Package python.ppc 0:2.7.18-1 will be an update
    --> Processing Dependency: libgcc >= 8.3.0 for package: python-2.7.18-1.ppc
    --> Processing Dependency: libstdc++ >= 8.3.0 for package: python-2.7.18-1.ppc
    ---> Package python-devel.ppc 0:2.7.12-2 will be updated
    ---> Package python-devel.ppc 0:2.7.18-1 will be an update
    ---> Package python-tools.ppc 0:2.7.12-2 will be updated
    ---> Package python-tools.ppc 0:2.7.18-1 will be an update
    ---> Package python3.ppc 0:3.7.9-1 will be installed
    --> Processing Dependency: libgcc >= 8.3.0 for package: python3-3.7.9-1.ppc
    ---> Package sqlite.ppc 0:3.32.3-1 will be an update
    --> Processing Dependency: libgcc >= 8.3.0 for package: sqlite-3.32.3-1.ppc
    ---> Package xz-libs.ppc 0:5.2.5-1 will be installed
    --> Processing Dependency: libgcc >= 8.3.0 for package: xz-libs-5.2.5-1.ppc
    --> Finished Dependency Resolution
    Error: Package: python-2.7.18-1.ppc (AIX_Toolbox)
               Requires: libstdc++ >= 8.3.0
               Installed: libstdc++-6.3.0-1.ppc (installed)
                   libstdc++ = 6.3.0-1
    Error: Package: xz-libs-5.2.5-1.ppc (AIX_Toolbox)
               Requires: libgcc >= 8.3.0
               Installed: libgcc-6.3.0-1.ppc (installed)
                   libgcc = 6.3.0-1
    Error: Package: python-2.7.18-1.ppc (AIX_Toolbox)
               Requires: libgcc >= 8.3.0
               Installed: libgcc-6.3.0-1.ppc (installed)
                   libgcc = 6.3.0-1
    Error: Package: ncurses-6.2-2.ppc (AIX_Toolbox)
               Requires: libgcc >= 8.3.0-1
               Installed: libgcc-6.3.0-1.ppc (installed)
                   libgcc = 6.3.0-1
    Error: Package: expat-2.2.9-2.ppc (AIX_Toolbox)
               Requires: libgcc >= 8.3.0-1
               Installed: libgcc-6.3.0-1.ppc (installed)
                   libgcc = 6.3.0-1
    Error: Package: bzip2-1.0.8-2.ppc (AIX_Toolbox)
               Requires: libgcc >= 6.3.0-2
               Installed: libgcc-6.3.0-1.ppc (installed)
                   libgcc = 6.3.0-1
    Error: Package: ncurses-6.2-2.ppc (AIX_Toolbox)
               Requires: libstdc++ >= 8.3.0-1
               Installed: libstdc++-6.3.0-1.ppc (installed)
                   libstdc++ = 6.3.0-1
    Error: Package: sqlite-3.32.3-1.ppc (AIX_Toolbox)
               Requires: libgcc >= 8.3.0
               Installed: libgcc-6.3.0-1.ppc (installed)
                   libgcc = 6.3.0-1
    Error: Package: python3-3.7.9-1.ppc (AIX_Toolbox)
               Requires: libgcc >= 8.3.0
               Installed: libgcc-6.3.0-1.ppc (installed)
                   libgcc = 6.3.0-1
     You could try using --skip-broken to work around the problem
    ** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
    unixODBC-2.3.4-1.ppc has missing requires of readline >= ('0', '6.3', '5')

    Thanks,
    priya


    ------------------------------
    Priya Soni
    ------------------------------



  • 11.  RE: Python3 Installation in AIX 7.1

    Posted 6 days ago
    Could you check if the latest libgcc is available through the YUM using "yum list libgcc"
    Try this also after clearing the yum cache with "yum clean all"

    ------------------------------
    SANGAMESH
    ------------------------------



  • 12.  RE: Python3 Installation in AIX 7.1

    Posted 6 days ago
    Hi Sangamesh,

    I could install it later there was one url commented in yum.conf. After enabling that repo URL above error was not coming.
    Please find below output from installation command, do you see any issue in below. Because when I ran python --version it is still pointing to python2, how to redirect that to python3? When i ran python3 --version it is showing python 3 not found. Please suggest.

    /opt/freeware/etc/yum # yum install python3
    AIX_Toolbox                                                                                                                                      | 2.6 kB  00:00:00
    AIX_Toolbox_71                                                                                                                                   | 2.5 kB  00:00:00
    AIX_Toolbox_71/primary_db                                                                                                                        |  92 kB  00:00:00
    AIX_Toolbox_noarch                                                                                                                               | 2.6 kB  00:00:00
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package python3.ppc 0:3.7.9-1 will be installed
    --> Processing Dependency: gdbm >= 1.18.1 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: readline >= 8.0-2 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: xz-libs >= 5.2.4 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: libgcc >= 8.3.0 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: libffi >= 3.2.1 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: ncurses >= 6.2 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: sqlite >= 3.32.1 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: zlib >= 1.2.11 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: gettext >= 0.19.8.1 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: bzip2 >= 1.0.8 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: expat >= 2.2.9 for package: python3-3.7.9-1.ppc
    --> Processing Dependency: libgdbm.a(libgdbm.so.6) for package: python3-3.7.9-1.ppc
    --> Processing Dependency: liblzma.a(liblzma.so.5) for package: python3-3.7.9-1.ppc
    --> Running transaction check
    ---> Package bzip2.ppc 0:1.0.6-2 will be updated
    ---> Package bzip2.ppc 0:1.0.8-2 will be an update
    ---> Package expat.ppc 0:2.1.0-1 will be updated
    ---> Package expat.ppc 0:2.2.9-2 will be an update
    ---> Package gdbm.ppc 0:1.10-1 will be updated
    ---> Package gdbm.ppc 0:1.18.1-1 will be an update
    ---> Package gettext.ppc 0:0.17-8 will be updated
    ---> Package gettext.ppc 0:0.19.8.1-5 will be an update
    --> Processing Dependency: libunistring >= 0.9.9-2 for package: gettext-0.19.8.1-5.ppc
    --> Processing Dependency: glib2 >= 2.56.1-2 for package: gettext-0.19.8.1-5.ppc
    --> Processing Dependency: libxml2 >= 2.9.7 for package: gettext-0.19.8.1-5.ppc
    --> Processing Dependency: libunistring.a(libunistring.so.2) for package: gettext-0.19.8.1-5.ppc
    ---> Package libffi.ppc 0:3.0.11-1 will be updated
    ---> Package libffi.ppc 0:3.2.1-3 will be an update
    ---> Package libgcc.ppc 0:6.3.0-1 will be updated
    --> Processing Dependency: libgcc = 6.3.0-1 for package: libstdc++-6.3.0-1.ppc
    ---> Package libgcc.ppc 0:8.3.0-2 will be an update
    ---> Package ncurses.ppc 0:6.1-1 will be updated
    ---> Package ncurses.ppc 0:6.2-2 will be an update
    ---> Package readline.ppc 0:6.2-3 will be updated
    ---> Package readline.ppc 0:8.0-2 will be an update
    --> Processing Dependency: info >= 6.4 for package: readline-8.0-2.ppc
    ---> Package sqlite.ppc 0:3.7.15.2-2 will be updated
    --> Processing Dependency: sqlite = 3.7.15.2 for package: pysqlite-1.1.7-1.ppc
    --> Processing Dependency: sqlite = 3.7.15.2 for package: yum-metadata-parser-1.1.4-1.ppc
    ---> Package sqlite.ppc 0:3.32.3-1 will be an update
    ---> Package xz-libs.ppc 0:5.2.5-1 will be installed
    ---> Package zlib.ppc 0:1.2.5-6 will be updated
    ---> Package zlib.ppc 0:1.2.11-1 will be an update
    --> Running transaction check
    ---> Package glib2.ppc 0:2.14.6-2 will be updated
    ---> Package glib2.ppc 0:2.56.1-2 will be an update
    ---> Package info.ppc 0:5.0-2 will be updated
    ---> Package info.ppc 0:6.6-2 will be an update
    ---> Package libstdc++.ppc 0:6.3.0-1 will be updated
    --> Processing Dependency: libstdc++ = 6.3.0-1 for package: libstdc++-devel-6.3.0-1.ppc
    ---> Package libstdc++.ppc 0:8.3.0-2 will be an update
    ---> Package libunistring.ppc 0:0.9.9-2 will be installed
    ---> Package libxml2.ppc 0:2.9.9-1 will be installed
    ---> Package pysqlite.ppc 0:1.1.7-1 will be updated
    ---> Package pysqlite.ppc 0:2.8.3-2 will be an update
    --> Processing Dependency: python >= 2.7.16 for package: pysqlite-2.8.3-2.ppc
    ---> Package yum-metadata-parser.ppc 0:1.1.4-1 will be updated
    ---> Package yum-metadata-parser.ppc 0:1.1.4-2 will be an update
    --> Running transaction check
    ---> Package libstdc++-devel.ppc 0:6.3.0-1 will be updated
    ---> Package libstdc++-devel.ppc 0:8.3.0-2 will be an update
    ---> Package python.ppc 0:2.7.12-2 will be updated
    --> Processing Dependency: python = 2.7.12-2 for package: python-devel-2.7.12-2.ppc
    --> Processing Dependency: python = 2.7.12-2 for package: python-tools-2.7.12-2.ppc
    ---> Package python.ppc 0:2.7.18-1 will be an update
    --> Running transaction check
    ---> Package python-devel.ppc 0:2.7.12-2 will be updated
    ---> Package python-devel.ppc 0:2.7.18-1 will be an update
    ---> Package python-tools.ppc 0:2.7.12-2 will be updated
    ---> Package python-tools.ppc 0:2.7.18-1 will be an update
    --> Finished Dependency Resolution
    Dependencies Resolved
    ========================================================================================================================================================================
     Package                                        Arch                           Version                                  Repository                                 Size
    ========================================================================================================================================================================
    Installing:
     python3                                        ppc                            3.7.9-1                                  AIX_Toolbox                                39 M
    Installing for dependencies:
     libunistring                                   ppc                            0.9.9-2                                  AIX_Toolbox                               1.5 M
     libxml2                                        ppc                            2.9.9-1                                  AIX_Toolbox                               5.4 M
     xz-libs                                        ppc                            5.2.5-1                                  AIX_Toolbox                               540 k
    Updating for dependencies:
     bzip2                                          ppc                            1.0.8-2                                  AIX_Toolbox                               238 k
     expat                                          ppc                            2.2.9-2                                  AIX_Toolbox                               895 k
     gdbm                                           ppc                            1.18.1-1                                 AIX_Toolbox                               278 k
     gettext                                        ppc                            0.19.8.1-5                               AIX_Toolbox                               7.6 M
     glib2                                          ppc                            2.56.1-2                                 AIX_Toolbox                                28 M
     info                                           ppc                            6.6-2                                    AIX_Toolbox                               664 k
     libffi                                         ppc                            3.2.1-3                                  AIX_Toolbox                                47 k
     libgcc                                         ppc                            8.3.0-2                                  AIX_Toolbox_71                            977 k
     libstdc++                                      ppc                            8.3.0-2                                  AIX_Toolbox_71                             12 M
     libstdc++-devel                                ppc                            8.3.0-2                                  AIX_Toolbox_71                            3.3 M
     ncurses                                        ppc                            6.2-2                                    AIX_Toolbox                               3.5 M
     pysqlite                                       ppc                            2.8.3-2                                  AIX_Toolbox                               139 k
     python                                         ppc                            2.7.18-1                                 AIX_Toolbox                                21 M
     python-devel                                   ppc                            2.7.18-1                                 AIX_Toolbox                                16 k
     python-tools                                   ppc                            2.7.18-1                                 AIX_Toolbox                                16 k
     readline                                       ppc                            8.0-2                                    AIX_Toolbox                               2.4 M
     sqlite                                         ppc                            3.32.3-1                                 AIX_Toolbox                               8.2 M
     yum-metadata-parser                            ppc                            1.1.4-2                                  AIX_Toolbox                                61 k
     zlib                                           ppc                            1.2.11-1                                 AIX_Toolbox                               174 k
    Transaction Summary
    ========================================================================================================================================================================
    Install       4 Packages
    Upgrade      19 Packages
    Total download size: 136 M
    Is this ok [y/N]: Y
    Downloading Packages:
    (1/23): bzip2-1.0.8-2.aix6.1.ppc.rpm                                                                                                             | 238 kB  00:00:00
    (2/23): expat-2.2.9-2.aix6.1.ppc.rpm                                                                                                             | 895 kB  00:00:00
    (3/23): gdbm-1.18.1-1.aix6.1.ppc.rpm                                                                                                             | 278 kB  00:00:00
    (4/23): gettext-0.19.8.1-5.aix6.1.ppc.rpm                                                                                                        | 7.6 MB  00:00:06
    (5/23): glib2-2.56.1-2.aix6.1.ppc.rpm                                                                                                            |  28 MB  00:00:24
    (6/23): info-6.6-2.aix6.1.ppc.rpm                                                                                                                | 664 kB  00:00:00
    (7/23): libffi-3.2.1-3.aix6.1.ppc.rpm                                                                                                            |  47 kB  00:00:00
    (8/23): libgcc-8.3.0-2.aix7.1.ppc.rpm                                                                                                            | 977 kB  00:00:01
    (9/23): libstdcplusplus-8.3.0-2.aix7.1.ppc.rpm                                                                                                   |  12 MB  00:00:10
    (10/23): libstdcplusplus-devel-8.3.0-2.aix7.1.ppc.rpm                                                                                            | 3.3 MB  00:00:03
    (11/23): libunistring-0.9.9-2.aix6.1.ppc.rpm                                                                                                     | 1.5 MB  00:00:01
    (12/23): libxml2-2.9.9-1.aix6.1.ppc.rpm                                                                                                          | 5.4 MB  00:00:05
    (13/23): ncurses-6.2-2.aix6.1.ppc.rpm                                                                                                            | 3.5 MB  00:00:03
    (14/23): pysqlite-2.8.3-2.aix6.1.ppc.rpm                                                                                                         | 139 kB  00:00:00
    (15/23): python-2.7.18-1.aix6.1.ppc.rpm                                                                                                          |  21 MB  00:00:21
    (16/23): python-devel-2.7.18-1.aix6.1.ppc.rpm                                                                                                    |  16 kB  00:00:00
    (17/23): python-tools-2.7.18-1.aix6.1.ppc.rpm                                                                                                    |  16 kB  00:00:00
    (18/23): python3-3.7.9-1.aix6.1.ppc.rpm                                                                                                          |  39 MB  00:00:39
    (19/23): readline-8.0-2.aix6.1.ppc.rpm                                                                                                           | 2.4 MB  00:00:02
    (20/23): sqlite-3.32.3-1.aix6.1.ppc.rpm                                                                                                          | 8.2 MB  00:00:07
    (21/23): xz-libs-5.2.5-1.aix6.1.ppc.rpm                                                                                                          | 540 kB  00:00:00
    (22/23): yum-metadata-parser-1.1.4-2.aix6.1.ppc.rpm                                                                                              |  61 kB  00:00:00
    (23/23): zlib-1.2.11-1.aix6.1.ppc.rpm                                                                                                            | 174 kB  00:00:00
    ------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    Total                                                                                                                                   984 kB/s | 136 MB     02:21
    Running Transaction Check
    Running Transaction Test
    Transaction Test Succeeded
    Running Transaction
    Warning: RPMDB altered outside of yum.
    ** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
    unixODBC-2.3.4-1.ppc has missing requires of readline >= ('0', '6.3', '5')
      Updating   : libgcc-8.3.0-2.ppc                                                                                                                                  1/42
      Updating   : zlib-1.2.11-1.ppc                                                                                                                                   2/42
      Updating   : libstdc++-8.3.0-2.ppc                                                                                                                               3/42
      Updating   : ncurses-6.2-2.ppc                                                                                                                                   4/42
      Updating   : libffi-3.2.1-3.ppc                                                                                                                                  5/42
      Installing : xz-libs-5.2.5-1.ppc                                                                                                                                 6/42
      Installing : libxml2-2.9.9-1.ppc                                                                                                                                 7/42
      Updating   : glib2-2.56.1-2.ppc                                                                                                                                  8/42
      Installing : libunistring-0.9.9-2.ppc                                                                                                                            9/42
      Updating   : gettext-0.19.8.1-5.ppc                                                                                                                             10/42
      Updating   : info-6.6-2.ppc                                                                                                                                     11/42
    Please check that /etc/info-dir does exist.
    You might have to rename it from /etc/info-dir.rpmsave to /etc/info-dir.
      Updating   : readline-8.0-2.ppc                                                                                                                                 12/42
      Updating   : sqlite-3.32.3-1.ppc                                                                                                                                13/42
      Updating   : gdbm-1.18.1-1.ppc                                                                                                                                  14/42
      Updating   : bzip2-1.0.8-2.ppc                                                                                                                                  15/42
      Updating   : expat-2.2.9-2.ppc                                                                                                                                  16/42
      Updating   : python-2.7.18-1.ppc                                                                                                                                17/42
      Updating   : pysqlite-2.8.3-2.ppc                                                                                                                               18/42
      Updating   : python-tools-2.7.18-1.ppc                                                                                                                          19/42
      Updating   : python-devel-2.7.18-1.ppc                                                                                                                          20/42
      Installing : python3-3.7.9-1.ppc                                                                                                                                21/42
      Updating   : yum-metadata-parser-1.1.4-2.ppc                                                                                                                    22/42
      Updating   : libstdc++-devel-8.3.0-2.ppc                                                                                                                        23/42
      Cleanup    : yum-metadata-parser-1.1.4-1.ppc                                                                                                                    24/42
      Cleanup    : pysqlite-1.1.7-1.ppc                                                                                                                               25/42
      Cleanup    : glib2-2.14.6-2.ppc                                                                                                                                 26/42
      Cleanup    : python-tools-2.7.12-2.ppc                                                                                                                          27/42
      Cleanup    : libstdc++-devel-6.3.0-1.ppc                                                                                                                        28/42
      Cleanup    : python-devel-2.7.12-2.ppc                                                                                                                          29/42
      Cleanup    : python-2.7.12-2.ppc                                                                                                                                30/42
      Cleanup    : ncurses-6.1-1.ppc                                                                                                                                  31/42
      Cleanup    : libstdc++-6.3.0-1.ppc                                                                                                                              32/42
      Cleanup    : sqlite-3.7.15.2-2.ppc                                                                                                                              33/42
      Cleanup    : readline-6.2-3.ppc                                                                                                                                 34/42
      Cleanup    : gdbm-1.10-1.ppc                                                                                                                                    35/42
      Cleanup    : gettext-0.17-8.ppc                                                                                                                                 36/42
      Cleanup    : info-5.0-2.ppc                                                                                                                                     37/42
      Cleanup    : libgcc-6.3.0-1.ppc                                                                                                                                 38/42
      Cleanup    : bzip2-1.0.6-2.ppc                                                                                                                                  39/42
      Cleanup    : expat-2.1.0-1.ppc                                                                                                                                  40/42
      Cleanup    : libffi-3.0.11-1.ppc                                                                                                                                41/42
      Cleanup    : zlib-1.2.5-6.ppc                                                                                                                                   42/42
    Installed:
      python3.ppc 0:3.7.9-1
    Dependency Installed:
      libunistring.ppc 0:0.9.9-2                                 libxml2.ppc 0:2.9.9-1                                 xz-libs.ppc 0:5.2.5-1
    Dependency Updated:
      bzip2.ppc 0:1.0.8-2   expat.ppc 0:2.2.9-2         gdbm.ppc 0:1.18.1-1         gettext.ppc 0:0.19.8.1-5      glib2.ppc 0:2.56.1-2  info.ppc 0:6.6-2
      libffi.ppc 0:3.2.1-3  libgcc.ppc 0:8.3.0-2        libstdc++.ppc 0:8.3.0-2     libstdc++-devel.ppc 0:8.3.0-2 ncurses.ppc 0:6.2-2   pysqlite.ppc 0:2.8.3-2
      python.ppc 0:2.7.18-1 python-devel.ppc 0:2.7.18-1 python-tools.ppc 0:2.7.18-1 readline.ppc 0:8.0-2          sqlite.ppc 0:3.32.3-1 yum-metadata-parser.ppc 0:1.1.4-2
      zlib.ppc 0:1.2.11-1
    Complete!
    root@servername:/opt/freeware/etc/yum # python --version
    Python 2.7.18
    root@servername:/opt/freeware/etc/yum # python3 --version
    ksh: python3:  not found.


    Thanks,
    priya


    ------------------------------
    Priya Soni
    ------------------------------



  • 13.  RE: Python3 Installation in AIX 7.1

    Posted 6 days ago
    python3 is now available only in /opt/freeware/bin path. You can set the PATH variable.
    python will still be pointing to python2 only.

    ------------------------------
    Ayappan P
    ------------------------------



  • 14.  RE: Python3 Installation in AIX 7.1

    Posted 6 days ago
    Hi,

    when I eceute python or yum with root user it works properly, but when I su to dsadm which is datastage admin account then I am getting below error.
    Not understanding what is wrong here. please suggest.


    dsadm@servername:/home/dsadm # python --version
    exec(): 0509-036 Cannot load program python because of the following errors:
            0509-150   Dependent module /usr/lib64/libexpat.a(libexpat.so.1) could not be loaded.
            0509-103   The module has an invalid magic number.
    dsadm@servername:/home/dsadm # ls -ld /opt/freeware/bin/python
    lrwxrwxrwx    1 root     system            7 Nov 24 10:39 /opt/freeware/bin/python -> python2

    root@servername:/home/root # python --version
    Python 2.7.18
    root@servername:/home/root # python3 --version
    ksh: python3:  not found.
    root@servername:/home/root # export PATH=$PATH:/opt/freeware/bin
    root@servername:/home/root #  python3 --version
    Python 3.7.9


    Thanks,

    ------------------------------
    Priya Soni
    ------------------------------



  • 15.  RE: Python3 Installation in AIX 7.1

    Posted 6 days ago
    Any suggestions please. Will be really helpful.

    when I execute python or yum with root user it works properly, but when I su to dsadm which is datastage admin account then I am getting below error.
    Not understanding what is wrong here. please suggest.


    dsadm@servername:/home/dsadm # python --version
    exec(): 0509-036 Cannot load program python because of the following errors:
            0509-150   Dependent module /usr/lib64/libexpat.a(libexpat.so.1) could not be loaded.
            0509-103   The module has an invalid magic number.
    dsadm@servername:/home/dsadm # ls -ld /opt/freeware/bin/python
    lrwxrwxrwx    1 root     system            7 Nov 24 10:39 /opt/freeware/bin/python -> python2

    root@servername:/home/root # python --version
    Python 2.7.18
    root@servername:/home/root # python3 --version
    ksh: python3:  not found.
    root@servername:/home/root # export PATH=$PATH:/opt/freeware/bin
    root@servername:/home/root #  python3 --version
    Python 3.7.9


    Thanks,
    Priya

    ------------------------------
    Priya Soni
    ------------------------------